Get user resources
Get resources specific to the authenticated user.
Authorization
Bearer JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Query Parameters
Sort by field name (optional). Example: "name", "description", "type", "url", "createdDate", "modifiedDate"
Resource name used for filtering.
Optional filter operators can be applied to refine the search:
- equal (default)
- contains
- startswith
- endswith
Resource description used for filtering.
Optional filter operators can be applied to refine the search:
- equal (default)
- contains
- startswith
- endswith
Page number (1-based). Default is 1. Ignored when get_all = true.
int321 <= value <= 2147483647Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.
int321 <= value <= 50When true, pagination is disabled and all items are returned.
Sort direction: "asc" or "desc". Default is "asc" (optional)
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/resource/user-resources"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "organization": "string", "name": "string", "description": "string", "type": "string", "url": "string", "createdDate": "2019-08-24T14:15:22Z", "modifiedDate": "2019-08-24T14:15:22Z" } ], "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}